Skip to main content
PATCH
/
agents
/
{agentId}
/
knowledge
/
sources
/
{id}
Error
A valid request URL is required to generate request examples
{
  "success": true,
  "data": {
    "id": "<string>",
    "agentId": "<string>",
    "organizationId": "<string>",
    "label": "<string>",
    "sourceUrl": "<string>",
    "textContent": "<string>",
    "chunkCount": 123,
    "coverageScore": 123,
    "embeddingModel": "<string>",
    "progress": {
      "current": 123,
      "total": 123
    },
    "indexedAt": "2023-11-07T05:31:56Z",
    "errorMessage": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "refreshEnabled": true,
    "refreshIntervalS": 123,
    "lastCheckedAt": "2023-11-07T05:31:56Z",
    "lastChangedAt": "2023-11-07T05:31:56Z",
    "nextRefreshAt": "2023-11-07T05:31:56Z"
  },
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Flowyte secret API key (Authorization: Bearer flowyte_sk_live_…). Scope-gated; is scoped to your organization — a key can never reach another tenant. The listed scopes in each operation's apiKey requirement are the scopes that key must hold. The tokenUrl is nominal: keys are minted in the dashboard.

Path Parameters

agentId
string
required
id
string
required

Body

application/json
refreshEnabled
boolean

Turn automatic re-crawl on/off for this source.

refreshIntervalS
integer

Cadence in seconds (min 86400 = 24h; default 604800 = weekly).

Response

The updated source.

success
boolean
required
data
object
required
message
string
errors
object[]